module Examples (ecdh)
    where

import Codec.Encryption.ECC.Base

ecdh :: (ECP a) => EC -> a -> ECInt -> t -> ECInt
ecdh c a kprivA kprivB = let kpubA = pmul a kprivA c
                             kpubB = pmul a kprivA c
                             ergA = pmul kpubB kprivA c
                         in getx ergA c